Update namespace bar for advanced search
Closed, ResolvedPublic

Description

Task

  • Place the namespace bar below the "advanced parameters" bar
  • Use OOJS' MenuTagMultiselectWidget (with placeholder) for input, so that namespaces are autosuggested to the user
  • Have a checkbox which allows users to search in all namespaces.
    • When the box is selected, add all namespaces as seperate bubbles in the input field
    • When the box is deselected, remove all bubbles from the input field
    • When the user deletes a bubble, but the box was checked, uncheck it
  • By default, have "article" as a tag in the input box

Mock

Lea_WMDE created this task.May 15 2017, 2:47 PM
Lea_WMDE renamed this task from Adapt prototype's namespace bar to current state to Update namespace bar for advanced search.May 30 2017, 4:36 PM
Lea_WMDE changed the task status from Open to Stalled.

Set to stalled because we want to see if we can reuse components from the Edit-Review-Improvements extension that tackles a similar interface challenge

Lea_WMDE changed the task status from Stalled to Open.May 31 2017, 6:52 PM

We still want to see if we can reuse components, but we already have a pretty good version, so let's keep that while we see if there is merge potential.

Lea_WMDE moved this task from Backlog to Test results on the Advanced-Search board.Jun 7 2017, 2:42 PM
Tobi_WMDE_SW closed this task as Resolved.Jul 5 2017, 8:15 AM
Tobi_WMDE_SW claimed this task.